Skip to main content
`Ctrl`+`K`

# PetscSortIntWithArray

Sorts an array of `PetscInt` in place in increasing order; changes a second array of `PetscInt` to match the sorted first array.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortIntWithArray(PetscCount n, PetscInt X[], PetscInt Y[])

Not Collective

## Input Parameters

- n - number of values

- X - array of `PetscInt`

- Y - second array of `PetscInt`

## See Also

`PetscIntSortSemiOrderedWithArray()`, `PetscSortReal()`, `PetscSortIntWithPermutation()`, `PetscSortInt()`, `PetscSortIntWithCountArray()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages